<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/functions.php"))
    include "_include/functions.php";
else
    include "functions.php";

if(isset($_GET["dir"]))
    $inputid=$_GET["dir"];
else
    $inputid="/share";

$desc=LoadLang();
?>
<head>
  <title><?php echo $desc['browsedirtitle'] ?></title> 
  <script type="text/javascript" src="_js/dhtmlx/dhtmlx.js"></script>
  <link rel="stylesheet" type="text/css" href="_js/dhtmlx/dhtmlx.css">
</head>
<body style="background-color:#EBEBEB;margin:10px;padding:0px;overflow:hidden;" onkeydown="checkKey();">
<table style="font-family:Tahoma;font-size:12px;color:black;margin-top:10px;"  width="100%" onkeydown="checkKey();">
  <tbody>
    <tr><td><?php echo $desc['browse_folder'];?></td></tr>
    <tr><td><div id='treeBox' style='width:320;height:280;background-color:white;border:1px solid #727272;margin:2px 2px 2px 7px;' onkeydown="checkKey();"></div></td></tr>
    <tr><td colspan="1"><hr></td></tr>
    <tr><td colspan="1" align="right">
      <input type="button" style="width:100;height:24px;" value="<?php echo $desc['ok'];?>" onclick="selectFolder();">
      <input type="button" style="width:100;height:24px;" value="<?php echo $desc['cancel'];?>" onclick="closeWindow();">
    </td></tr>
  </tbody>
</table>
<SCRIPT TYPE="text/javascript">
function closeWindow(){
    parent.selecteddir = inputid;
    parent.dhxDirBrowse.window("w2").close();
}

function selectFolder(){
    parent.selecteddir = fileBrowseTree.getSelectedItemId();
    parent.dhxDirBrowse.window("w2").close();
}

var fileBrowseTree;
// Tree
var fileBrowseTree, inputid;
fileBrowseTree=new dhtmlXTreeObject(document.getElementById('treeBox'),'100%','100%',0);
fileBrowseTree.setImagePath('_img/tree/');
fileBrowseTree.setSkin('dhx_black');
fileBrowseTree.loadXML('getDirTree.php');
fileBrowseTree.setXMLAutoLoading('getDirTree.php');
inputid='<?php echo $inputid;?>';
var ids=inputid.split('/');
fileBrowseTree.attachEvent('onXLE', function(){
    var id='/';
    for (i=1;i<ids.length-1;i++) {
        id=id+ids[i]+'/';
        fileBrowseTree.openItem(id);
    }
    fileBrowseTree.selectItem(inputid);
    fileBrowseTree.focusItem(inputid);
}); 
fileBrowseTree.attachEvent("onDblClick", function(id){
    parent.selecteddir = fileBrowseTree.getSelectedItemId();
    parent.dhxDirBrowse.window("w2").close();
});
function checkKey(){
    if (event.keyCode == 27)
    closeWindow();
}
</SCRIPT>
</body>
