<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/functions.php"))
    include "_include/functions.php";
else
    include "functions.php";

global $tmpdir;
ini_set("session.save_path", $tmpdir);
session_start();

if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") ) {
    header("Content-type: application/xhtml+xml"); } else {
    header("Content-type: text/xml");
}
echo("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
?>

<!-- start grid xml -->

<?php
$dirToScan = $GLOBALS["rootdir"];

if (isset($_GET["id"]) && $_GET["id"] != "popcornhour")
{
    $id=$_GET["id"];
    $fileFullPath = $id;
    echo '<tree id="'.$id.'">';

$files = scan_dir($fileFullPath);
if($files!=false && count($files)>0){
    foreach($files as $file) {
        $dirFullPath = $fileFullPath.$file;
        if(is_dir($dirFullPath)){
            if ($file == "." || $file == "..")
            {
                //output item 
            }
            else
            {
                $no_dir=0;
                $subfiles=scan_dir($dirFullPath);
                if($subfiles != false && count($subfiles)>0){
                    foreach($subfiles as $subfile) {
                        $subdirFullPath = $dirFullPath.'/'.$subfile;
                        if (is_dir($subdirFullPath)){
                                $no_dir++;
                        }
                    }
                }
                if(is_writable($dirFullPath))
                    $is_writable=1;
                else
                    $is_writable=0;
                if ($no_dir >2 )
                {
                    print('<item text="'.$file.'" id="'.$dirFullPath.'/" child="1" im0="folderClosed.gif" im1="folderOpen.gif" im2="folderClosed.gif"> <userdata name="is_writable">'.$is_writable.'</userdata> </item>');
                }
                else
                {
                    print('<item text="'.$file.'" id="'.$dirFullPath.'/" child="0" im0="folderClosed.gif" im1="folderOpen.gif" im2="folderClosed.gif"> <userdata name="is_writable">'.$is_writable.'</userdata> </item>');
                }
            }
        }
    }
}
if (! isset($_GET["id"]))
{
    echo "</item>\n";
}
}
else
{
    $fileFullPath = $dirToScan;
    echo "<tree id=\"0\">\n";
    if(is_writable($fileFullPath))
        $is_writable=1;
    else
        $is_writable=0;

    echo "<item text='My Popcorn Hour' id='popcornhour' child='1' im0='popcorn.png' im1='popcorn.png' im2='popcorn.png' select='1' open='1'>\n";
    echo "<item text='Root Disk /' id='$rootdir' child='1' im0='drive.png' im1='drive.png' im2='drive.png'/>\n";
    print("<userdata name='is_writable'>".$is_writable."</userdata>");
    echo "<item text='mnt on /' id='/mnt/' child='1' im0='drive.png' im1='drive.png' im2='drive.png' />\n";
    $files=scan_dir("/opt/sybhttpd/localhost.drives/");
    foreach($files as $file)
    {
        $dir="/opt/sybhttpd/localhost.drives/";
        if ($file == "." || $file == "..")
        {
        }
        else
        {
            if ($file == "HARD_DISK" || $file == "SATA_DISK")
                //print("<item text='$file on $dir' id='/opt/sybhttpd/localhost.drives/$file/' child='1' im0='drive.png' im1='drive.png' im2='drive.png'/>");
                print("<item text='$file on $dir' id='/share/' child='1' im0='drive.png' im1='drive.png' im2='drive.png'/>");
            else if ($file == "NETWORK_SHARE")
                print("<item text='$file on $dir' id='/opt/sybhttpd/localhost.drives/$file/' child='1' im0='ndrive.png' im1='ndrive.png' im2='ndrive.png' />");
            else 
                print("<item text='$file on $dir' id='/opt/sybhttpd/localhost.drives/$file/' child='1' im0='usbdrive.png' im1='usbdrive.png' im2='usbdrive.png' />");
        }
    }
print ("</item>");
}

?>
<!-- close grid xml -->
</tree>
