<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

LoadPreferences();
$desc=LoadLang();
?>
<SCRIPT TYPE="text/javascript"> 
var dhxprefGenForm, dhxprefLimForm, dhxprefButForm, dhxprefDowForm;
var dhxLayout, dhxprefTab, prefWin, dhxprefWin, dhxprefLayout;
var dhxaddForm, dhxaddWin, addwin, dhxaddLayout;
var dhxpropForm, dhxpropWin, propWin, dhxpropLayout, dhxpropTab;
var dhxpropUrlForm;
var dhxpropGenForm, dhxpropConForm, dhxpropMirForm, dhxpropBroForm;
var dhxconfWin, dhxconfForm, dhxconfLayout, confWin;
var dhxprefWin, prefWin, dhxprefTab, dhxprefLayout;
var win, dhxToolbarC, dhxLayout, dhxDGrid;
var dhxDataProcessor, dhxToolbar;
var dhxpassForm, dhxpassLayout;
var selecteddir;
var downloadlocation_l="<?php echo $downloaddir; ?>";
var dhxTabbar, dhxDownloadLayout;
var defaultSkin = "dhx_black";
var dhxpassWin,passWin, password='', daemon_running=1;
var dhxDMenu, DownloadGridBuilt=0;
var dhxTabbar, dhxToolbarC, dhxDataProcessorC, dhxGridC, dhxLayout;
var dm_array = new Object();
var prop_array = new Object();
var def_prop_array = new Object();
var dhxDirBrowse = new dhtmlXWindows();
var dhxaddGenForm, dhxaddBroForm, dhxaddConForm;

dhxLayout = new dhtmlXLayoutObject(document.body, "1C", defaultSkin);
dhxLayout.cells("a").hideHeader();

// Tabbar
dhxTabbar = dhxLayout.cells("a").attachTabbar();
dhxTabbar.setSkin(defaultSkin);
dhxTabbar.setImagePath("_js/dhtmlx/imgs/");

// Create Layout for Download
dhxTabbar.addTab("a1", "<?php echo $desc['downloads_tab'] ?>", "100px");
dhxTabbar.setTabActive("a1");
dhxDownloadLayout = dhxTabbar.cells("a1").attachLayout("1C");
dhxDownloadLayout.cells("a").hideHeader();

dhxTabbar.attachEvent("onSelect", function(id,last_id){
    switch(id){
        case 'a1':
            if (! DownloadGridBuilt)
                BuildDownloadGrid();
            return true;
            break;
    }
});

function BuildDownloadGrid() {
    // Grid
    dhxDGrid = dhxDownloadLayout.cells("a").attachGrid();
    dhxDGrid.selMultiRows = true;
    dhxDGrid.setImagePath("_js/dhtmlx/imgs/")
    dhxDGrid.setHeader("<?php echo $desc['download_grid'] ?>");
    dhxDGrid.setColumnIds("link,status_img,filename,filesize,completed,percent,elapsed,left,speed,status,file_exists,sections");
    dhxDGrid.setInitWidthsP("0,3,35,7,9,13,9,9,9,0,0,*");
    dhxDGrid.setColAlign("left,left,left,right,right,left,right,right,right,left,left,left")
    dhxDGrid.enableResizing("false,false,true,true,true,true,true,true,true,true,true,true")
    dhxDGrid.setSkin(defaultSkin);
    dhxDGrid.enableSmartRendering(true,30);
    dhxDGrid.setColSorting("na,na,str,na,na,na,na,na,na,na,na,na");
    dhxDGrid.setColTypes("ro,img,ro,fs,fs,ro,tm,tm,sd,ro,ro,ro");
    dhxDGrid.attachEvent("onRowSelect",doOnRowSelected);
    dhxDGrid.attachEvent("onRowDblClicked",showPropertiesWindow);
    dhxDGrid.preventIECaching(true);
    dhxDGrid.attachEvent("onKeyPress",onKeyPressed);
    dhxDGrid.enableTooltips("false,false,true,false,false,false,false,false,false,false,false,false");
    dhxDGrid.enableMultiselect(true);
    dhxDGrid.init();
    dhxDGrid.setSortImgState(true,2,"asc");

    dhxDGrid.loadXML("_include/getDBValues.php?mode=download", function() {
    });

    dhtmlxError.catchError("LoadXML", myErrorHandler);

    dhxDataProcessor = new dataProcessor("_include/updateDBValues.php");
    dhxDataProcessor.enableDataNames(true);
    dhxDataProcessor.setUpdateMode("cell"); 
    dhxDataProcessor.setTransactionMode("GET");
    dhxDataProcessor.enableDebug(false);
    dhxDataProcessor.defineAction("error",onError);
    dhxDataProcessor.init(dhxDGrid);
    DownloadGridBuilt=1;
}

// Load Default DownloadGrid
if (dhxTabbar.getActiveTab() == 'a1')
    BuildDownloadGrid();

// Context Menu for Grid
dhxDMenu = new dhtmlXMenuObject();
dhxDMenu.setIconsPath("_js/dhtmlx/imgs/");
dhxDMenu.renderAsContextMenu();
dhxDMenu.setOpenMode("web");
dhxDMenu.setSkin(defaultSkin);
dhxDMenu.setWebModeTimeout();
dhxDMenu.loadXML("_include/getXML.php?xml=menu&e="+new Date().getTime(), disableMenu);
dhxDMenu.attachEvent("onXLE", disableMenu); 

if (dhxTabbar.getActiveTab() == 'a1') {
    dhxDGrid.enableContextMenu(dhxDMenu);
    dhxDGrid.attachEvent("onBeforeContextMenu", function (rowId,celInd,grid) {
        disableMenu();
        if (dhxDGrid.getSelectedId() != undefined || dhxDGrid.getSelectedId() != null) {
            var ids=dhxDGrid.getSelectedRowId().split(',');
            if (ids.length == 1)
                dhxDMenu.setItemEnabled("properties");
            else
                dhxDMenu.setItemDisabled("properties");
            dhxToolbar.disableItem("start");
            dhxToolbar.disableItem("pause");
            dhxToolbar.disableItem("delete");
            completed = dhxDGrid.cells(rowId,4).getValue();
            if (completed != "-")
                dhxDMenu.setItemEnabled("restart");
            else
                dhxDMenu.setItemDisabled("restart");
            dhxDMenu.setItemEnabled("schedule");
            dhxDMenu.setItemEnabled("archivepass");
            var idx=new Array(); 
            var ids=dhxDGrid.getSelectedRowId().split(',');
            if (ids.length == 1) {
                status = dhxDGrid.cells(rowId,9).getValue();
                switch(status){
                    case 'Complete':
                        dhxDMenu.setItemEnabled("delete");
                        dhxDMenu.setItemDisabled("schedule");
                        dhxToolbar.enableItem("delete");
                        break;
                    case 'Failed':
                        dhxDMenu.setItemEnabled("start");
                        dhxDMenu.setItemEnabled("delete");
                        dhxToolbar.enableItem("delete");
                        dhxToolbar.enableItem("start");
                        break;
                    case 'Pause':
                        dhxDMenu.setItemEnabled("start");
                        dhxDMenu.setItemEnabled("delete");
                        dhxToolbar.enableItem("delete");
                        dhxToolbar.enableItem("start");
                        break;
                    case 'Downloading':
                        dhxDMenu.setItemEnabled("pause");
                        dhxDMenu.setItemDisabled("schedule");
                        dhxToolbar.enableItem("pause");
                        break;
                    case 'Waiting':
                        dhxDMenu.setItemEnabled("pause");
                        dhxDMenu.setItemEnabled("delete");
                        dhxToolbar.enableItem("pause");
                        break;
                    case 'Loading':
                        dhxDMenu.setItemEnabled("pause");
                        dhxDMenu.setItemDisabled("schedule");
                        dhxToolbar.enableItem("pause");
                        break;
                    case 'Scheduled':
                        dhxDMenu.setItemEnabled("pause");
                        dhxDMenu.setItemDisabled("schedule");
                        dhxToolbar.enableItem("pause");
                        break;
                }
            }
            else if (ids.length == dhxDGrid.getRowsNum()) {
                dhxDMenu.setItemEnabled("start");
                dhxDMenu.setItemEnabled("delete");
            }
            for (var i=0;i<ids.length;i++)
                idx[i]=dhxDGrid.getRowIndex(ids[i]);

            idx.sort( numOrdA );
            if (idx[0]> 0) {
                dhxDMenu.setItemEnabled("moveup");
                dhxDMenu.setItemEnabled("movetop");
            }
            else {
                dhxDMenu.setItemDisabled("moveup");
                dhxDMenu.setItemDisabled("movetop");
            }

            if (idx[idx.length-1] < dhxDGrid.getRowsNum()-1) {
                dhxDMenu.setItemEnabled("movedown");
                dhxDMenu.setItemEnabled("movebtm");
            }
            else {
                dhxDMenu.setItemDisabled("movedown");
                dhxDMenu.setItemDisabled("movebtm");
            }
            return true;
        }
        else
            return true;
    });

    dhxDGrid.attachEvent("onRightClick", function (rowId, cellInd, grid) {
        if (! dhxDGrid.getSelectedRowId())
            dhxDGrid.selectRowById(rowId);
        var ids=dhxDGrid.getSelectedRowId().split(',');
        if (ids.length == 1)
            dhxDGrid.selectRowById(rowId);
        return true;
    });
}

function myErrorHandler(type, desc, erData) {
    return false;
}

// Toolbar
dhxToolbar = dhxLayout.attachToolbar();
dhxToolbar.setIconsPath("_img/")
dhxToolbar.loadXML("_include/getXML.php?xml=toolbarDM&e="+new Date().getTime(), disableToolbar);
dhxToolbar.attachEvent("onXLE",function() {
    checkDaemon();
    if(daemon_running) {
        dhxToolbar.setItemState('stop', true, false);
        dhxToolbar.setItemImage('stop', "Stop_t.png");
        dhxToolbar.setItemToolTip('stop', "<?php echo $desc['stop_d_t'] ?>");
    }
    else {
        dhxToolbar.setItemState('stop', false, false);
        dhxToolbar.setItemImage('stop', "Go_t.png");
        dhxToolbar.setItemToolTip('stop', "<?php echo $desc['start_d_t'] ?>");
    }
});

window.setInterval(function() {
    if (dhxTabbar.getActiveTab() == 'a1') {
        dhxDGrid.updateFromXML('_include/getDBValues.php?mode=download', true, true);
        if (! dhxDGrid.getSelectedRowId())
            disableToolbar();
    }
},3000)


window.addEvent('domready', function() {
    Sexy = new SexyAlertBox();
});

function onError(node) {
    Sexy.alert('<h1><?php echo $desc['error'];?></h1><br/><p>'+node.getAttribute("text1")+'<br/>'+node.getAttribute("text2"));    // Details
}

dhxDMenu.attachEvent("onClick", function(id, zoneId) {
    switch(id){
        case 'add':
            addDownloadURL(0);
            break;
        case 'start':
            startDownload();
            break;
        case 'pause':
            pauseDownload();
            break;
        case 'delete':
            if(dhxDGrid.getSelectedId()) {
                var ids=dhxDGrid.getSelectedRowId().split(",");
                message="<?php echo $desc['confirm']; ?>";
                header="<?php echo $desc['confirm_header']; ?>";
                showConfirmWindow(header, message, deleteSelectedLink);
            }
            break;
        case 'restart':
            restartDownload();
            break;
        case 'schedule':
            scheduleDownload();
            break;
        case 'startall':
            startAll();
            break;
        case 'pauseall':
            pauseAll();
            break;
        case 'selectall':
            dhxDGrid.selectAll();
            break;
        case 'movetop':
            moveTop();
            break;
        case 'moveup':
            moveUp();
            break;
        case 'movedown':
            moveDown();
            break;
        case 'movebtm':
            moveBottom();
            break;
        case 'archivepass':
            showPasswordWindow();
            break;
        case 'properties':
            showPropertiesWindow(dhxDGrid.getSelectedId());
            break;
    }
});

function disableMenu() {
    dhxDMenu.setItemDisabled("start");
    dhxDMenu.setItemDisabled("pause");
    dhxDMenu.setItemDisabled("delete");
    dhxDMenu.setItemDisabled("restart");
    dhxDMenu.setItemDisabled("schedule");
    dhxDMenu.setItemDisabled("startall");
    dhxDMenu.setItemDisabled("pauseall");
    dhxDMenu.setItemDisabled("selectall");
    dhxDMenu.setItemDisabled("movetop");
    dhxDMenu.setItemDisabled("moveup");
    dhxDMenu.setItemDisabled("movedown");
    dhxDMenu.setItemDisabled("movebtm");
    dhxDMenu.setItemDisabled("archivepass");
    dhxDMenu.setItemDisabled("properties");
    
    if (dhxDGrid.getRowsNum() > 1) {
        dhxDMenu.setItemEnabled("startall");
        dhxDMenu.setItemEnabled("pauseall");
        dhxDMenu.setItemEnabled("selectall");
    }
}
 
function disableToolbar() {
    dhxToolbar.disableItem("start");
    dhxToolbar.disableItem("pause");
    dhxToolbar.disableItem("delete");
    dhxToolbar.disableItem("moveup");
    dhxToolbar.disableItem("movedown");
    dhxToolbar.disableItem("schedule");
    dhxToolbar.disableItem("passwd");
    dhxToolbar.disableItem("properties");
}

function doOnRowSelected(id) {
    if(id) {
        var idx=new Array(); 
        var ids=dhxDGrid.getSelectedRowId().split(",");
        for (var i=0;i<ids.length;i++)
            idx[i]=dhxDGrid.getRowIndex(ids[i]);
        status=dhxDGrid.cells(ids[0],9).getValue();
        file_status=dhxDGrid.cells(ids[0],10).getValue();
        dhxToolbar.enableItem("moveup");
        dhxToolbar.enableItem("movedown");
        dhxToolbar.enableItem("schedule");
        dhxToolbar.enableItem("passwd");
        dhxToolbar.enableItem("properties");
        for (var i=0; i<idx.length; i++) {
            if (idx[i] == 0)
                dhxToolbar.disableItem("moveup");
            if (idx[i] == dhxDGrid.getRowsNum()-1)
                dhxToolbar.disableItem("movedown");
        }
        if (status == "Pause") {
            dhxToolbar.enableItem("start");
            dhxToolbar.disableItem("pause");
            dhxToolbar.enableItem("delete");
         }
         else if (status == "Downloading" 
		|| status == "Connecting") {
            dhxToolbar.disableItem("start");
            dhxToolbar.enableItem("pause");
            dhxToolbar.disableItem("delete");
         }
	     else if (status == "Waiting") { 
            dhxToolbar.disableItem("start");
            dhxToolbar.enableItem("pause");
            dhxToolbar.enableItem("delete");
         }
	 else if (status == "Loading") { 
            dhxToolbar.disableItem("start");
            dhxToolbar.enableItem("pause");
            dhxToolbar.disableItem("schedule");
         }
         else if (status == "Complete") {
            dhxToolbar.disableItem("start");
            dhxToolbar.disableItem("pause");
            dhxToolbar.enableItem("delete");
            dhxToolbar.disableItem("schedule");
         }
         else if (status == "Failed") {
            dhxToolbar.enableItem("start");
            dhxToolbar.disableItem("pause");
            dhxToolbar.enableItem("delete");
            dhxToolbar.disableItem("schedule");
         }
         else if (status == "Scheduled") {
            dhxToolbar.enableItem("start");
            dhxToolbar.enableItem("pause");
            dhxToolbar.enableItem("delete");
            dhxToolbar.disableItem("schedule");
         }
    }
    else {
        dhxToolbar.disableItem("start");
        //dhxToolbar.disableItem("pause");
        dhxToolbar.disableItem("delete");
        dhxToolbar.disableItem("moveup");
        dhxToolbar.disableItem("movedown");
        //dhxToolbar.disableItem("schedule");
    }
}

function sortLinks(data) {
    var link_data = [];
    var sort_data = [];
    var escaped_data = [];
    for (j=0;j<data.length;j++) {
        link_data[j]=escape(trim(basename(data[j])));
        escaped_data[j] = escape(data[j]);
    }
    link_data.sort();
    for (k=0;k<link_data.length;k++) {
        for(l=0;l<data.length;l++){
            result=escaped_data[l].search(link_data[k]);
            if (result != -1)
                sort_data.push(data[l]);
        }
    }
    return sort_data;
}

function onKeyPressed(code,ctrl,shift) {
    // Del Key Pressed
    if(code==46){
        if(dhxDGrid.getSelectedId()) {
            var ids=dhxDGrid.getSelectedRowId().split(",");
            message="<?php echo $desc['confirm']; ?>";
            header="<?php echo $desc['confirm_header']; ?>";
            showConfirmWindow(header, message, deleteSelectedLink);
        }
    }
    return true;
}

function deleteSelectedLink() {
    var ids=dhxDGrid.getSelectedRowId().split(",");
    dhxDGrid.setUserData(ids[0],"!nativeeditor_status","deleted");
    dhxDGrid.setUserData(ids[0],"links", ids);
    dhxDataProcessor.sendData(ids[0]);
    disableToolbar();
    dhxDGrid.clearSelection();
}

dhxDataProcessor.setOnAfterUpdate(function(rowId,command,newId) {
    if (dhxDataProcessor.getSyncState()) {
        //dhxDGrid.setRowId(rowId,newId);
        dhxDGrid.updateFromXML("_include/getDBValues.php?mode=download", true, true);
    }
});

function startDownload() {
    if(dhxDGrid.getSelectedId()) {
        var ids=dhxDGrid.getSelectedRowId().split(",");
        for (var i=0; i<ids.length; i++) {
            dhxDGrid.cells(ids[i],1).setValue("_img/Waiting.png");
            dhxDGrid.cells(ids[i],9).setValue("Waiting");
        }
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","start_download");
        dhxDGrid.setUserData(ids[0],"links", ids);
        dhxDataProcessor.sendData(ids[0]);
        disableToolbar();
        dhxDGrid.clearSelection();
    }
}

function restartDownload() {
    if(dhxDGrid.getSelectedId()) {
        var ids=dhxDGrid.getSelectedRowId().split(",");
        for (var i=0; i<ids.length; i++) {
            dhxDGrid.cells(ids[i],1).setValue("_img/Waiting.png");
            dhxDGrid.cells(ids[i],9).setValue("Waiting");
        }
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","restart_download");
        dhxDGrid.setUserData(ids[0],"links", ids);
        dhxDataProcessor.sendData(ids[0]);
        disableToolbar();
        dhxDGrid.clearSelection();
    }
}

function scheduleDownload() {
    if(dhxDGrid.getSelectedId()) {
        var ids=dhxDGrid.getSelectedRowId().split(",");
        for (var i=0; i<ids.length; i++) {
            dhxDGrid.cells(ids[i],1).setValue("_img/Scheduled.png");
            dhxDGrid.cells(ids[i],9).setValue("Scheduled");
        }
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","update_link");
        dhxDGrid.setUserData(ids[0],"links", ids);
        dhxDGrid.setUserData(ids[0],"variable", "status");
        dhxDGrid.setUserData(ids[0],"value", "Scheduled");
        dhxDataProcessor.sendData(ids[0]);
        disableToolbar();
        dhxDGrid.clearSelection();
    }
}

function pauseDownload() {
    if(dhxDGrid.getSelectedId()) {
        var ids=dhxDGrid.getSelectedRowId().split(",");
        for (var i=0; i<ids.length; i++) {
            dhxDGrid.cells(ids[i],1).setValue("_img/Pause.png");
            dhxDGrid.cells(ids[i],9).setValue("Pause");
        }
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","pause_download");
        dhxDGrid.setUserData(ids[0],"links", ids);
        dhxDataProcessor.sendData(ids[0]);
        disableToolbar();
        dhxDGrid.clearSelection();
    }
}

function startAll() {
    var numids=dhxDGrid.getRowsNum();
    if (numids) {
        var url=new Array(); 
        var ids=dhxDGrid.getRowId(0);
        for (var i=0; i<numids; i++) {
            url[i]=dhxDGrid.getRowId(i);
            dhxDGrid.cells(dhxDGrid.getRowId(i),1).setValue("_img/Waiting.png");
            dhxDGrid.cells(dhxDGrid.getRowId(i),9).setValue("Waiting");
        }
        dhxDGrid.setUserData(ids,"!nativeeditor_status","start_download");
        dhxDGrid.setUserData(ids,"links", url);
        dhxDataProcessor.sendData(ids);
        disableToolbar();
        dhxDGrid.clearSelection();
    }
}

function pauseAll() {
    var numids=dhxDGrid.getRowsNum();
    if (numids) {
        var url=new Array(); 
        var ids=dhxDGrid.getRowId(0);
        for (var i=0; i<numids; i++) {
            url[i]=dhxDGrid.getRowId(i);
            dhxDGrid.cells(dhxDGrid.getRowId(i),1).setValue("_img/Pause.png");
            dhxDGrid.cells(dhxDGrid.getRowId(i),9).setValue("Pause");
        }
        dhxDGrid.setUserData(ids,"!nativeeditor_status","pause_download");
        dhxDGrid.setUserData(ids,"links", url);
        dhxDataProcessor.sendData(ids);
        disableToolbar();
        dhxDGrid.clearSelection();
    }
}

function moveUp() {
    if(dhxDGrid.getSelectedId()) {
        var idx=new Array();
        var ids=dhxDGrid.getSelectedId().split(',');

        for (var i=0;i<ids.length;i++)
            idx[i]=dhxDGrid.getRowIndex(ids[i]);

        // Sort Rows
        idx.sort( numOrdA );

        // Move Rows
        for (var i=0;i<idx.length;i++)
            dhxDGrid.moveRowUp(dhxDGrid.getRowId(idx[i]));

        // Update in DB
        var url=new Array(); 
        for (var i=0;i<dhxDGrid.getRowsNum();i++)
            url[i]=dhxDGrid.getRowId(i);
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","order_links");
        dhxDGrid.setUserData(ids[0],"links",url);
        dhxDataProcessor.sendData(ids[0]);
        
        if ((idx[0]-1) == 0) {
            dhxToolbar.disableItem("moveup");
            dhxToolbar.enableItem("movedown");
        }
    }
}
   
function moveDown() {
    if(dhxDGrid.getSelectedId()) {
        var idx=new Array();
        var ids=dhxDGrid.getSelectedId().split(',');

        for (var i=0;i<ids.length;i++)
            idx[i]=dhxDGrid.getRowIndex(ids[i]);

        // Sort Rows
        idx.sort( numOrdA );
        idx.reverse();

        // Move Rows
        for (var i=0;i<idx.length;i++)
            dhxDGrid.moveRowDown(dhxDGrid.getRowId(idx[i]));

        var url=new Array(); 
        for (var i=0;i<dhxDGrid.getRowsNum();i++)
            url[i]=dhxDGrid.getRowId(i);
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","order_links");
        dhxDGrid.setUserData(ids[0],"links",url);
        dhxDataProcessor.sendData(ids[0]);
        if (idx[0]+1 == dhxDGrid.getRowsNum()-1) {
            dhxToolbar.disableItem("movedown");
            dhxToolbar.enableItem("moveup");
        }
    }
}

function moveTop() {
    if(dhxDGrid.getSelectedId()) {
        var idx=new Array(); 
        var ids=dhxDGrid.getSelectedId().split(',');

        for (var i=0;i<ids.length;i++)
            idx[i]=dhxDGrid.getRowIndex(ids[i]);

        idx.sort( numOrdA );
        idx.reverse();

        for (var i=0;i<idx.length;i++)
            ids[i]=dhxDGrid.getRowId(idx[i]);

        for (var i=0;i<ids.length;i++)
            for (var j=0;j<idx[0];j++)
                dhxDGrid.moveRowUp(ids[i]);

        // Update in DB
        var url=new Array(); 
        for (var i=0;i<dhxDGrid.getRowsNum();i++)
            url[i]=dhxDGrid.getRowId(i);
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","order_links");
        dhxDGrid.setUserData(ids[0],"links",url);
        dhxDataProcessor.sendData(ids[0]);
        
        dhxToolbar.disableItem("moveup");
        dhxToolbar.enableItem("movedown");
    }
}

function moveBottom() {
    if(dhxDGrid.getSelectedId()) {
        var idx=new Array(); 
        var ids=dhxDGrid.getSelectedId().split(',');

        for (var i=0;i<ids.length;i++)
            idx[i]=dhxDGrid.getRowIndex(ids[i]);

        idx.sort( numOrdA );

        for (var i=0;i<idx.length;i++)
            ids[i]=dhxDGrid.getRowId(idx[i]);

        for (var i=0;i<ids.length;i++)
            for (var j=0;j<dhxDGrid.getRowsNum()-idx[0];j++)
                dhxDGrid.moveRowDown(ids[i]);

        // Update in DB
        var url=new Array(); 
        for (var i=0;i<dhxDGrid.getRowsNum();i++)
            url[i]=dhxDGrid.getRowId(i);
        dhxDGrid.setUserData(ids[0],"!nativeeditor_status","order_links");
        dhxDGrid.setUserData(ids[0],"links",url);
        dhxDataProcessor.sendData(ids[0]);
        
        dhxToolbar.disableItem("moveup");
        dhxToolbar.enableItem("movedown");
    }
}

// Toolbar Events
dhxToolbar.attachEvent("onClick", function(id) {
switch(id){
    case 'add':
        if (dhxTabbar.getActiveTab() == 'a1')
            addDownloadURL(0);
        break;
    case 'start':
        if (dhxTabbar.getActiveTab() == 'a1')
            startDownload();
        break;
    case 'pause':
        if (dhxTabbar.getActiveTab() == 'a1')
            pauseDownload();
        break;
    case 'delete':
        if (dhxTabbar.getActiveTab() == 'a1')
            if(dhxDGrid.getSelectedId()) {
                var ids=dhxDGrid.getSelectedRowId().split(",");
                message="<?php echo $desc['confirm']; ?>";
                header="<?php echo $desc['confirm_header']; ?>";
                showConfirmWindow(header, message, deleteSelectedLink);
            }
        break;
    case 'refresh':
        if (dhxTabbar.getActiveTab() == 'a1') {
            disableToolbar();
            dhxDGrid.clearAll();
            dhxDGrid.clearSelection();
            dhxDGrid.setSortImgState(true,2,"asc");
            dhxDGrid.loadXML("_include/getDBValues.php?mode=download");
        }
        break;
    case 'moveup':
        if (dhxTabbar.getActiveTab() == 'a1')
            moveUp();
        break;
    case 'movedown':
        if (dhxTabbar.getActiveTab() == 'a1')
            moveDown();
        break;
    case 'startall':
        if (dhxTabbar.getActiveTab() == 'a1')
            startAll();
        break;
    case 'pauseall':
        if (dhxTabbar.getActiveTab() == 'a1')
            pauseAll();
        break;
    case 'passwd':
        if (dhxTabbar.getActiveTab() == 'a1')
            showPasswordWindow();
        break;
    case 'properties':
        if (dhxTabbar.getActiveTab() == 'a1')
            showPropertiesWindow();
        break;
    case 'schedule':
        if (dhxTabbar.getActiveTab() == 'a1')
            scheduleDownload();
        break;
    case 'options':
        if (dhxTabbar.getActiveTab() == 'a1')
            showPreferencesWindow();
        break;
    case 'info':
            Sexy.info('<h2><?php echo $desc['about_desc1'];?> <?php echo print_version(); ?></em><?php echo $desc['about_desc2'];?><p><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=2VR3BXHREDFEL&lc=IN&item_name=vaidyasr%20%40%20Networked%20Media%20Tank&item_number=11031977&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donate_SM%2egif%3aNonHosted" target="_blank"><img src=\'_img/btn_donateCC_LG.gif\'></a></p><?php echo $desc['about_desc3'];?>');
       break;
    }
});

// Toolbar Events
dhxToolbar.attachEvent("onStateChange", function(id) {
switch(id){
    case 'stop':
        isPressed = dhxToolbar.getItemState(id);
        if (isPressed) {
            dhxToolbar.setItemImage(id, "Stop_t.png");
            dhxToolbar.setItemToolTip(id, "<?php echo $desc['stop_d_t'] ?>");
            startDaemon();
        }
        else {
            dhxToolbar.setItemImage(id, "Go_t.png");
            dhxToolbar.setItemToolTip(id, "<?php echo $desc['start_d_t'] ?>");
            stopDaemon();
        }
        break;
    }
});


function addDownloadURL(type) {
    if (!dhxaddWin) dhxaddWin = new dhtmlXWindows();
    if (dhxaddWin.isWindow("w1")){
        dhxaddWin.window("w1").show();
        dhxaddWin.window("w1").setModal(true);
        dhxaddForm.setItemValue("links", '');
        document.getElementsByName('links')[0].focus();
        dhxaddForm.setItemValue("dlocation", '<?php echo $downloaddir;?>');
        def_prop_array = loadDefProperties();
        setDefProperties(def_prop_array);
    }
    else {
        dhxaddWin.setImagePath("_js/dhtmlx/imgs/");
        dhxaddWin.setSkin(defaultSkin);
        addwin = dhxaddWin.createWindow("w1", 200, 100, 630, 500);
        addwin.setText("<?php echo $desc['addurl'] ?>");
        addwin.center();
        addwin.denyResize();
        addwin.denyPark();
        addwin.keepInViewport(true);
        addwin.button("park").hide();
        addwin.button("minmax1").hide();
        addwin.button("close").hide();
        addwin.setModal(true);
        dhxaddLayout = addwin.attachLayout("2E");
        dhxaddLayout.setSkin(defaultSkin);
        dhxaddLayout.cells("a").hideHeader();
        dhxaddLayout.cells("a").setHeight(200);
        dhxaddLayout.cells("b").hideHeader();
        dhxaddForm = dhxaddLayout.cells("a").attachForm();
        dhxaddForm.loadStruct("_include/getXML.php?xml=addurl&e="+new Date().getTime(), function(){
            document.getElementsByName('links')[0].focus();
            dhxaddForm.setItemValue("dlocation", '<?php echo $downloaddir;?>');
        });
        dhxmoreTab = dhxaddLayout.cells("b").attachTabbar();
        dhxmoreTab.setImagePath('_js/dhtmlx/imgs/');
        dhxmoreTab.setSkin(defaultSkin);
        dhxmoreTab.addTab('a0', '<?php echo $desc['dowloc'];?>','120px');
        dhxmoreTab.addTab('a1', '<?php echo $desc['conlimits'];?>','120px');
        dhxmoreTab.addTab('a2', '<?php echo $desc['mirror'];?>','120px');
        dhxmoreTab.addTab('a3', '<?php echo $desc['browsercontext'];?>', '120px');
        dhxmoreTab.setTabActive("a0");
        dhxmoreTab.disableTab('a2');
        dhxaddWin.window("w1").setDimension(630,225);
        def_prop_array = loadDefProperties();

        dhxaddGenForm = dhxmoreTab.cells("a0").attachForm();
        dhxaddGenForm.loadStruct("_include/getXML.php?xml=propform7&e="+new Date().getTime(), function(){
            setDefProperties(def_prop_array);
        });
        dhxaddConForm = dhxmoreTab.cells("a1").attachForm();
        dhxaddConForm.loadStruct("_include/getXML.php?xml=propform8&e="+new Date().getTime(), function(){
            setDefProperties(def_prop_array);
        });
        dhxaddConForm.attachEvent("onChange", function (id, value){
            if (id == "no_speed_limit") {
                if (dhxaddConForm.isItemChecked(id))
                    dhxaddConForm.disableItem("speedlimit");
                else
                    dhxaddConForm.enableItem("speedlimit");
            }
        });
        dhxaddBroForm = dhxmoreTab.cells("a3").attachForm();
        dhxaddBroForm.loadStruct("_include/getXML.php?xml=propform9&e="+new Date().getTime(), function(){
            setDefProperties(def_prop_array);
        });
        dhxaddGenForm.attachEvent("onButtonClick", function(name, command){
            if(name=="browse"){
                browseDir(document.getElementsByName('tlocation1')[0]);
            }
        });
        dhxaddForm.attachEvent("onButtonClick", function(name, command){
            if(name=="cancel"){
                closeAddURLWindow();
            }
            else if(name=="add"){
                addLinks();
            }
            else if(name=="more"){
                if (type == 0) {
                    dhxaddForm.setItemLabel("more", '<?php echo $desc['less'];?>');
                    dhxaddWin.window("w1").setDimension(630,500);
                    type = 1;
                }
                else {
                    dhxaddForm.setItemLabel("more", '<?php echo $desc['more'];?>');
                    dhxaddWin.window("w1").setDimension(630,225);
                    type = 0;
                }
            }
        });
    }
}

function showPropertiesWindow() {
    if (!dhxpropWin) dhxpropWin = new dhtmlXWindows();
    if (dhxpropWin.isWindow("w1")){
        dhxpropWin.window("w1").show();
        dhxpropWin.window("w1").setModal(true);
        document.getElementsByName('editlink')[0].focus();
        prop_array = loadProperties();
        setProperties(prop_array);
    }
    else {
    //propWins.attachURL("_include/editProperties.php?link="+encodeURIComponent(id));
        dhxpropWin.setImagePath("_js/dhtmlx/imgs/");
        dhxpropWin.setSkin(defaultSkin);
        propWin = dhxpropWin.createWindow("w1", 10, 10, 585, 410);
        propWin.setText("<?php echo $desc['properties'] ?>");
        propWin.center();
        propWin.denyResize();
        propWin.denyPark();
        propWin.keepInViewport(true);
        propWin.button("park").hide();
        propWin.button("minmax1").hide();
        propWin.button("close").hide();
        propWin.setModal(true);
        dhxpropLayout = propWin.attachLayout("3E");
        dhxpropLayout.setSkin(defaultSkin);
        dhxpropLayout.cells("a").hideHeader();
        dhxpropLayout.cells("a").setHeight(50);
        dhxpropLayout.cells("a").fixSize(true, true);
        dhxpropLayout.cells("c").setHeight(40);
        dhxpropLayout.cells("c").fixSize(true, true);
        dhxpropLayout.cells("b").hideHeader();
        dhxpropLayout.cells("c").hideHeader();
        prop_array = loadProperties();
        rowId=dhxDGrid.getSelectedId();
        status = dhxDGrid.cells(rowId,9).getValue();
        dhxpropUrlForm = dhxpropLayout.cells("a").attachForm();
        dhxpropUrlForm.loadStruct("_include/getXML.php?xml=propform1&e="+new Date().getTime(), function(){
            setProperties(prop_array);
        });
        dhxpropUrlForm.attachEvent("onChange", function (id, value){
            dhxpropButForm.enableItem("apply");
        });
        dhxpropUrlForm.attachEvent("onXLE", function (){
            document.getElementsByName('editlink')[0].focus();
        });

        dhxpropButForm = dhxpropLayout.cells("c").attachForm();
        dhxpropButForm.loadStruct("_include/getXML.php?xml=propform6&e="+new Date().getTime(), function(){
            dhxpropButForm.disableItem("apply");
        });

        dhxpropTab = dhxpropLayout.cells("b").attachTabbar();
        dhxpropTab.setImagePath('_js/dhtmlx/imgs/');
        dhxpropTab.setSkin(defaultSkin);
        dhxpropTab.addTab('a0', '<?php echo $desc['location'];?>','100px');
        dhxpropTab.addTab('a1', '<?php echo $desc['conlimits'];?>','120px');
        dhxpropTab.addTab('a2', '<?php echo $desc['mirror'];?>','100px');
        dhxpropTab.addTab('a3', '<?php echo $desc['browsercontext'];?>', '100px');
        dhxpropTab.setTabActive("a0");
        dhxpropGenForm = dhxpropTab.cells("a0").attachForm();
        dhxpropGenForm.loadStruct("_include/getXML.php?xml=propform2&e="+new Date().getTime(), function(){
            setProperties(prop_array);
        });
        dhxpropGenForm.attachEvent("onChange", function (id, value){
            dhxpropButForm.enableItem("apply");
        });
        dhxpropGenForm.attachEvent("onButtonClick", function(name, command){
            if(name=="browse"){
                browseDir(document.getElementsByName('tlocation')[0]);
            }
        });

        dhxpropConForm = dhxpropTab.cells("a1").attachForm();
        dhxpropConForm.loadStruct("_include/getXML.php?xml=propform3&e="+new Date().getTime(), function(){
            setProperties(prop_array);
        });
        dhxpropConForm.attachEvent("onChange", function (id, value){
            if (id == "no_speed_limit") {
                if (dhxpropConForm.isItemChecked(id))
                    dhxpropConForm.disableItem("speedlimit");
                else
                    dhxpropConForm.enableItem("speedlimit");
            }
            dhxpropButForm.enableItem("apply");
        });

        dhxpropTab.disableTab('a2');
        //dhxpropMirForm = dhxpropTab.cells("a2").attachForm();
        dhxpropBroForm = dhxpropTab.cells("a3").attachForm();
        dhxpropBroForm.loadStruct("_include/getXML.php?xml=propform5&e="+new Date().getTime(), function(){
            setProperties(prop_array);
        });
        dhxpropBroForm.attachEvent("onChange", function (id, value){
            dhxpropButForm.enableItem("apply");
        });

        dhxpropButForm.attachEvent("onButtonClick", function(name, command){
            if(name=="cancel")
                hidePropertiesWindow();
            else if(name=="apply")
                applyProperties();
            else if(name=="ok")
                okProperties();
        });
    }
}

function showConfirmWindow(header,text1, function_to_run) {
    if (!dhxconfWin) dhxconfWin = new dhtmlXWindows();
    dhxconfWin.setImagePath("_js/dhtmlx/imgs/");
    dhxconfWin.setSkin(defaultSkin);
    confWin = dhxconfWin.createWindow("w1", 10, 10, 400, 160);
    confWin.setText(header);
    confWin.center();
    confWin.denyResize();
    confWin.denyPark();
    confWin.keepInViewport(true);
    confWin.button("park").hide();
    confWin.button("minmax1").hide();
    confWin.button("close").hide();
    confWin.setModal(true);
    dhxconfLayout = confWin.attachLayout("1C");
    dhxconfLayout.setSkin(defaultSkin);
    dhxconfLayout.cells("a").hideHeader();
    dhxconfForm = dhxconfLayout.cells("a").attachForm();

    dhxconfForm.loadStruct("_include/getXML.php?xml=showconfirm&e="+new Date().getTime(), function(){
        dhxconfForm.setItemLabel("message", '<div class="dhxlist_txt_label2 topmost" style="width:400px; left:50px;top:20px; font-weight:normal;">'+text1+'</div>');
    });
    dhxconfForm.attachEvent("onButtonClick", function(name, command){
        if(name=="ok") {
            function_to_run();
            dhxconfWin.window("w1").close();
        }
        else if(name=="cancel")
            dhxconfWin.window("w1").close();
    });
}

function checkDaemon() {
    var loader = dhtmlxAjax.getSync("_include/handleDaemon.php?option=status");
    if(loader.xmlDoc.responseXML!=null) {
        var params = loader.doXPath("//param");
        if (params[0].firstChild.nodeValue == 'not_running')
            daemon_running=0;
        else
            daemon_running=1;
    }
}

function startDaemon() {
    var loader = dhtmlxAjax.getSync("_include/handleDaemon.php?option=start");
}

function stopDaemon() {
    var loader = dhtmlxAjax.getSync("_include/handleDaemon.php?option=stop");
}

function trim(str, chars) { return ltrim(rtrim(str, chars), chars); }

function ltrim(str, chars) { chars = chars || "\\s"; return str.replace(new RegExp("^[" + chars + "]+", "g"), ""); }

function rtrim(str, chars) { chars = chars || "\\s"; return str.replace(new RegExp("[" + chars + "]+$", "g"), ""); }

function unique(arrayName) {
    var newArray=new Array();
    label:for(var i=0; i<arrayName.length;i++ ) {  
        for(var j=0; j<newArray.length;j++ ) {
            if(newArray[j]==arrayName[i]) 
                continue label;
        }
        newArray[newArray.length] = arrayName[i];
    }
    return newArray;
}

function checkDuplicateLinks(inputData) {
    var inputLinks=inputData.split('|');
    var inputArray= new Array();
    var j=0, type=1, mode=1;
    for (var i=0; i < inputLinks.length; i++) {
        if(!dhxDGrid.doesRowExist(trim(inputLinks[i])))
            if (CheckValidUrl(inputLinks[i]))
                inputArray[j++]=trim(inputLinks[i]);
    }
    if(inputArray.length > 0){
        inputArray = unique(inputArray);
        if(inputArray.length > 0){
            inputArray=sortLinks(inputArray);
            if (dhxaddGenForm.isItemChecked("start_type", "0"))
                type = 0;
            else if (dhxaddGenForm.isItemChecked("start_type", "1"))
                type = 1;
            else
                type = 2;

            if (dhxaddGenForm.isItemChecked("start_mode", "0"))
                mode = 0;
            else
                mode = 1;

            inputArray[inputArray.length]=dhxaddGenForm.getItemValue("tlocation1");
            inputArray[inputArray.length]=type;
            inputArray[inputArray.length]=mode;
            inputArray[inputArray.length]=dhxaddConForm.getItemValue("noconn");
            inputArray[inputArray.length]=dhxaddConForm.getItemValue("speedlimit");
            inputArray[inputArray.length]=dhxaddBroForm.getItemValue("referer");
            inputArray[inputArray.length]=dhxaddBroForm.getItemValue("cookie");
            inputArray[inputArray.length]=dhxaddBroForm.getItemValue("useragent");
            inputArray[inputArray.length]=dhxaddBroForm.getItemValue("extraheaders");
            //var newId = (new Date()).valueOf();
            dhxDGrid.addRow(inputArray[0], inputArray.join("#"));
        }
    }
}

function numOrdA(a, b){ return (a-b); }

function numOrdD(a, b){ return (b-a); }

function basename (path, suffix) {
    var b = path.replace(/^.*[\/\\]/g, '');
    
    if (typeof(suffix) == 'string' && b.substr(b.length-suffix.length) == suffix) {
        b = b.substr(0, b.length-suffix.length);
    }
    
    return b;
}

function CheckValidUrl(strUrl) {
        var RegexUrl = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/
        return RegexUrl.test(strUrl);
}

function browseDir(dlocation) {
    dhxDirBrowse.setSkin(defaultSkin);
    dhxDirBrowse.setImagePath("_js/dhtmlx/imgs/");
    wins=dhxDirBrowse.createWindow('w2',10,10,368,408);
    wins.setText('<?php echo $desc['browse_folder'];?>');
    wins.center();
    wins.denyResize();
    wins.denyPark();
    wins.button('park').hide();
    wins.button('minmax1').hide();
    wins.setModal(true);
    wins.keepInViewport(false);
    wins.attachURL('_include/dirBrowse.php?dir='+dlocation.value);
    wins.attachEvent('onClose', function() {
        if (selecteddir != undefined && selecteddir != null){
            dlocation.value=selecteddir;
        }
        return true;
    });
}

function closeAddURLWindow(){
    dhxaddWin.window("w1").hide();
    dhxaddWin.window("w1").setModal(false);
}

function addLinks(){
    if (document.getElementsByName('links')[0].value != '' ) {
        if(document.all)// IE
            var data=document.getElementsByName('links')[0].value.replace(/\r\n/g, "#");
        else // Mozilla
            var data=document.getElementsByName('links')[0].value.replace(/\n/g, "#");

        checkDuplicateLinks(data);
    }
    closeAddURLWindow();
}

function loadSiteGrid(id) {
    dhxToolbarC = id.attachToolbar();
    dhxToolbarC.setIconsPath("_img/")
    dhxToolbarC.loadXML("_include/getXML.php?xml=toolbarSM&e="+new Date().getTime(),  function() {
        dhxToolbarC.disableItem("edit");
        dhxToolbarC.disableItem("del");
        dhxToolbarC.disableItem("ver");
    });

    dhxToolbarC.attachEvent("onClick", function (id) {
        switch(id){
        case 'new':
            num=dhxGridC.getRowsNum();
            dhxGridC.addRow(num+1,"hostname,1,true,false,false,none,none,no",-1);
            dhxGridC.selectRowById(num+1);
            rowId=dhxGridC.getSelectedId();
            rowIndex=dhxGridC.getRowIndex(rowId);
            window.event.cancelBubble=true;
            dhxGridC.selectCell(rowIndex,0,false,false,true);
            break;
        case 'edit':
            window.event.cancelBubble=true;
            rowId=dhxGridC.getSelectedId();
            rowIndex=dhxGridC.getRowIndex(rowId);
            dhxGridC.selectCell(rowIndex,0,false,false,true);
            break;
        case 'del':
            if(dhxGridC.getSelectedId())
                showConfirmWindow("Confirm Entry Delete","Are you sure you want to delete the entry?", deleteSelectedData);
            break;
        case 'ver':
            if(dhxGridC.getSelectedId()) {
                url=dhxGridC.cells(dhxGridC.getSelectedId(),0).getValue();
                state=dhxGridC.cells(dhxGridC.getSelectedId(),1).getValue();
                f1=dhxGridC.cells(dhxGridC.getSelectedId(),2).getValue();
                f2=dhxGridC.cells(dhxGridC.getSelectedId(),3).getValue();
                f3=dhxGridC.cells(dhxGridC.getSelectedId(),4).getValue();
                user=dhxGridC.cells(dhxGridC.getSelectedId(),5).getValue();
                pass=dhxGridC.cells(dhxGridC.getSelectedId(),6).getValue();
                var type;
                if (f1 == 1)
                    type=0;
                else if (f2 == 1)
                    type=1;
                else if (f3 == 1)
                    type=2;
                dhtmlxAjax.get("_include/checkPass.php?url="+url+"&type="+type+"&user="+user+"&pass="+pass,
                function(loader){
                    if(loader.xmlDoc.responseXML!=null) {
                        var params = loader.doXPath("//param");
                        error=params[0].firstChild.nodeValue;
                        Sexy.alert('<h1><?php echo $desc['sitemgr'];?></h1><br/><p>'+error+'</p>');
                        if (error == "Verified."){
                            dhxGridC.setUserData(dhxGridC.getSelectedId(),"!nativeeditor_status","updated");
                            dhxGridC.cells(dhxGridC.getSelectedId(),7).setValue("1");
                        }
                        else{
                            dhxGridC.setUserData(dhxGridC.getSelectedId(),"!nativeeditor_status","updated");
                            dhxGridC.cells(dhxGridC.getSelectedId(),7).setValue("0");
                        }
                        dhxDataProcessorC.sendData(dhxGridC.getSelectedId());
                    }
                });
            }
            break;
        }
    });

    dhxGridC = id.attachGrid();

    dhxGridC.setImagePath("_js/dhtmlx/imgs/")
    dhxGridC.setHeader("<?php $desc=LoadLang();echo $desc['site_grid'] ?>");
    dhxGridC.setColumnIds("site,state,none,free,premium,user,password,verified,verimg");
    dhxGridC.setInitWidthsP("30,10,7,7,9,12,12,0,*");
    dhxGridC.setColTypes("ed,ch,ra_str,ra_str,ra_str,passw,passw,ro,img");
    dhxGridC.setColAlign("left,center,center,center,center,left,left,center,center");
    dhxGridC.enableTooltips("true,false,false,false,false,false,false,false,false");
    dhxGridC.setSkin(defaultSkin);
    dhxGridC.enableMultiselect(false);
    dhxGridC.init();
    dhxGridC.loadXML('_include/getDBValues.php?mode=sitemgr');
    dhxGridC.attachEvent("onRowSelect", function (id) {
        if(dhxGridC.getSelectedId()) {
            dhxToolbarC.enableItem("edit");
            dhxToolbarC.enableItem("del");
            dhxToolbarC.enableItem("ver");
        }
        else {
            dhxToolbarC.disableItem("edit");
            dhxToolbarC.disableItem("del");
            dhxToolbarC.disableItem("ver");
        }
    });

    dhxGridC.attachEvent("onKeyPress", function (code,ctrl,shift) {
        if (dhxGridC.editor) return true;
        // Del Key Pressed
        if(code==46){
            if (dhxGridC.editor) return true;
            if(dhxGridC.getSelectedId())
                showConfirmWindow("Confirm Entry Delete","Are you sure you want to delete the entry?", deleteSelectedData);
        }
    });

    dhxDataProcessorC = new dataProcessor("_include/updateDBValues.php");
    dhxDataProcessorC.enableDataNames(true);
    dhxDataProcessorC.setUpdateMode("cell");
    dhxDataProcessorC.setTransactionMode("GET");
    dhxDataProcessorC.enableDebug(false);
    dhxDataProcessorC.init(dhxGridC);
    dhxDataProcessorC.setVerificator(5, checkIfNotNull);
    dhxDataProcessorC.setVerificator(6, checkIfNotNull);

    dhxDataProcessorC.setOnAfterUpdate(function(rowId,command,newId) {
        if (dhxDataProcessorC.getSyncState()) {
            dhxGridC.updateFromXML("_include/getDBValues.php?mode=sitemgr", true, true);
        }
    });
}

function checkIfNotNull(value,id, idx) {
    if(value=="") {
        if (idx == 0) {
            Sexy.alert("<h1>Site Manager Validataion Error</h1><br/><p>Hostname cannot be empty</p>");
            return false;
        }
        else
            dhxGridC.cells(id, idx).setValue("none");
    }
    return true;
}

function savePreferences(){
    var pref_url='';
    if (dm_array.default_lang != dhxprefGenForm.getItemValue("default_lang"))
        pref_url = '&default_lang='+dhxprefGenForm.getItemValue("default_lang");
    if (dm_array.timezone_offset != dhxprefGenForm.getItemValue("timezone_offset"))
        pref_url += '&timezone_offset='+dhxprefGenForm.getItemValue("timezone_offset");
    if (eval(dm_array.autoupdate) != dhxprefGenForm.isItemChecked("autoupdate"))
        pref_url += '&autoupdate='+dhxprefGenForm.isItemChecked("autoupdate");

    if (dm_array.downloaddir != dhxprefGenForm.getItemValue("download_location"))
        pref_url += '&downloaddir='+dhxprefGenForm.getItemValue("download_location");
    if (dm_array.utildir != dhxprefGenForm.getItemValue("utils_location"))
        pref_url += '&utildir='+dhxprefGenForm.getItemValue("utils_location");
    if (dm_array.overwrite_mode != dhxprefGenForm.getItemValue("overwrite_mode"))
        pref_url += '?overwrite_mode='+dhxprefGenForm.getItemValue("overwrite_mode");

    if (eval(dm_array.autostart) != dhxprefDowForm.isItemChecked("autostart"))
        pref_url += '&autostart='+dhxprefDowForm.isItemChecked("autostart");
    if (eval(dm_array.autoclean) != dhxprefDowForm.isItemChecked("autoclean"))
        pref_url += '&autoclean='+dhxprefDowForm.isItemChecked("autoclean");
    if (eval(dm_array.autoshutdown) != dhxprefDowForm.isItemChecked("autoshutdown"))
        pref_url += '&autoshutdown='+dhxprefDowForm.isItemChecked("autoshutdown");
    if (eval(dm_array.fileallocation) != dhxprefDowForm.isItemChecked("fileallocation"))
        pref_url += '&fileallocation='+dhxprefDowForm.isItemChecked("fileallocation");
    if (eval(dm_array.extractcompleted) != dhxprefDowForm.isItemChecked("extractcompleted"))
        pref_url += '&extractcompleted='+dhxprefDowForm.isItemChecked("extractcompleted");
    if (eval(dm_array.deepextraction) != dhxprefDowForm.isItemChecked("deepextraction"))
        pref_url += '&deepextraction='+dhxprefDowForm.isItemChecked("deepextraction");
    if (dm_array.archivedir != dhxprefDowForm.getItemValue("archivedir"))
        pref_url += '&archivedir='+dhxprefDowForm.getItemValue("archivedir");
    if (eval(dm_array.deletearchive) != dhxprefDowForm.isItemChecked("deletearchive"))
        pref_url += '&deletearchive='+dhxprefDowForm.isItemChecked("deletearchive");
    if (eval(dm_array.keepbroken) != dhxprefDowForm.isItemChecked("keepbroken"))
        pref_url += '&keepbroken='+dhxprefDowForm.isItemChecked("keepbroken");
    if (eval(dm_array.timestamp) != dhxprefDowForm.isItemChecked("timestamp"))
        pref_url += '&timestamp='+dhxprefDowForm.isItemChecked("timestamp");

    if (dm_array.max_jobs != dhxprefLimForm.getItemValue("maxjobs"))
        pref_url += '&max_jobs='+dhxprefLimForm.getItemValue("maxjobs");
    if (dm_array.no_of_threads != dhxprefLimForm.getItemValue("noconn"))
        pref_url += '&no_of_threads='+dhxprefLimForm.getItemValue("noconn");
    if (dhxprefLimForm.isItemChecked("always_retry"))
        tvalue = 0;
    else
        tvalue = dhxprefLimForm.getItemValue("noretries");
    if (dm_array.no_retries != tvalue)
        pref_url += '&no_retries='+tvalue;
    if (dhxprefLimForm.isItemChecked("no_speed_limit"))
        tvalue = 0;
    else
        tvalue = dhxprefLimForm.getItemValue("speedlimit");
    if (dm_array.speed_limit != tvalue)
        pref_url += '&speed_limit='+tvalue;

    if (dm_array.routerip != dhxprefRouForm.getItemValue("routerip"))
        pref_url += '&routerip='+dhxprefRouForm.getItemValue("routerip");
    if (dm_array.routeruser != dhxprefRouForm.getItemValue("routeruser"))
        pref_url += '&routeruser='+dhxprefRouForm.getItemValue("routeruser");
    if (dm_array.routerpass != dhxprefRouForm.getItemValue("routerpass"))
        pref_url += '&routerpass='+dhxprefRouForm.getItemValue("routerpass");
    if (eval(dm_array.rebootrouter) != dhxprefRouForm.isItemChecked("rebootrouter"))
        pref_url += '&rebootrouter='+dhxprefRouForm.isItemChecked("rebootrouter");

    if (dhxprefRouForm.isItemChecked("routertype", "0"))
        tvalue = 0;
    else
        tvalue = 1;
    if (dm_array.routertype != tvalue)
        pref_url += '&routertype='+tvalue;

    if (eval(dm_array.autocaptcha) != dhxprefRouForm.isItemChecked("autocaptcha"))
        pref_url += '&autocaptcha='+dhxprefRouForm.isItemChecked("autocaptcha");
    if (eval(dm_array.autorecaptcha) != dhxprefRouForm.isItemChecked("autorecaptcha"))
        pref_url += '&autorecaptcha='+dhxprefRouForm.isItemChecked("autorecaptcha");
    if (dm_array.captchauser != dhxprefRouForm.getItemValue("captchauser"))
        pref_url += '&captchauser='+dhxprefRouForm.getItemValue("captchauser");
    if (dm_array.captchapass != dhxprefRouForm.getItemValue("captchapass"))
        pref_url += '&captchapass='+dhxprefRouForm.getItemValue("captchapass");
    if (dm_array.api_key != dhxprefRouForm.getItemValue("api_key"))
        pref_url += '&api_key='+dhxprefRouForm.getItemValue("api_key");

    var loader = dhtmlxAjax.getSync("_include/handleDB.php?mode=save&type=preferences"+pref_url);
}

function saveProperties(){
    var pref_url='';
    if (prop_array.link != dhxpropUrlForm.getItemValue("editlink"))
        pref_url = '&link='+dhxpropUrlForm.getItemValue("editlink");

    if (prop_array.location != dhxpropGenForm.getItemValue("tlocation"))
        pref_url = '&location='+dhxpropGenForm.getItemValue("tlocation");

    if (prop_array.sections != dhxpropConForm.getItemValue("noconn"))
        pref_url += '&sections='+dhxpropConForm.getItemValue("noconn");
    if (dhxpropConForm.isItemChecked("no_speed_limit"))
        tvalue = 0;
    else
        tvalue = dhxpropConForm.getItemValue("speedlimit");
    if (prop_array.speed_limit != tvalue)
        pref_url += '&speed_limit='+tvalue;

    if (prop_array.referer != dhxpropBroForm.getItemValue("referer"))
        pref_url += '&referer='+dhxpropBroForm.getItemValue("referer");
    if (prop_array.cookie != dhxpropBroForm.getItemValue("cookie"))
        pref_url += '&cookie='+dhxpropBroForm.getItemValue("cookie");
    if (prop_array.useragent != dhxpropBroForm.getItemValue("useragent"))
        pref_url += '&useragent='+dhxpropBroForm.getItemValue("useragent");
    if (prop_array.extraheaders != dhxpropBroForm.getItemValue("extraheaders"))
        pref_url += '&extraheaders='+dhxpropBroForm.getItemValue("extraheaders");

    var id = dhxDGrid.getSelectedId();
    var loader = dhtmlxAjax.getSync("_include/handleDB.php?mode=save&type=properties"+pref_url+"&orig_link="+id);
}

function okPreferences(){
    savePreferences();
    dhxprefButForm.disableItem("apply");
    hidePreferencesWindow();
}

function okProperties(){
    saveProperties();
    dhxpropButForm.disableItem("apply");
    hidePropertiesWindow();
}

function applyPreferences(){
    dhxprefButForm.disableItem("apply");
    savePreferences();
}

function applyProperties(){
    dhxpropButForm.disableItem("apply");
    saveProperties();
}

function deleteSelectedData() {
    var ids=dhxGridC.getSelectedRowId();
    dhxGridC.setUserData(ids,"!nativeeditor_status","deleted");
    dhxDataProcessorC.sendData(ids);
}

function hideWindow(inputwin) {
    inputwin.hide();
    inputwin.setModal(false);
}

function showPasswordWindow() {
    if (!dhxpassWin) dhxpassWin = new dhtmlXWindows();
    var ids=dhxDGrid.getSelectedRowId().split(",");
    var loader = dhtmlxAjax.getSync("_include/handleDB.php?mode=load&type=password&links="+ids);
    if(loader.xmlDoc.responseXML!=null) {
        var params = loader.doXPath("//password");
            if (params[0].firstChild == null)
                var password = "";
            else
                var password = params[0].firstChild.nodeValue;
    }
    if (dhxpassWin.isWindow("w1")){
        dhxpassWin.window("w1").show();
        dhxpassWin.window("w1").setModal(true);
        document.getElementsByName('password')[0].focus();
        document.getElementsByName('password')[0].value=password;
    }
    else {
        dhxpassWin.setImagePath("_js/dhtmlx/imgs/");
        dhxpassWin.setSkin(defaultSkin);
        passWin = dhxpassWin.createWindow("w1", 200, 100, 320, 150);
        passWin.setText("<?php echo $desc['passwordtitle'] ?>");
        passWin.center();
        passWin.denyResize();
        passWin.denyPark();
        passWin.keepInViewport(true);
        passWin.button("park").hide();
        passWin.button("minmax1").hide();
        passWin.button("close").hide();
        passWin.setModal(true);
        dhxpassLayout = passWin.attachLayout("1C");
        dhxpassLayout.setSkin(defaultSkin);
        dhxpassLayout.cells("a").hideHeader();
        dhxpassForm = dhxpassLayout.cells("a").attachForm();
        dhxpassForm.loadStruct("_include/getXML.php?xml=password&e="+new Date().getTime(), function(){
            document.getElementsByName('password')[0].value=password;
            document.getElementsByName('password')[0].focus();
        });
        dhxpassForm.attachEvent("onButtonClick", function(name, command){
            if(name=="cancel"){
                hidePasswordWindow();
            }
            else if(name=="ok"){
                var pass = dhxpassForm.getItemValue("password");
                if (pass != "") {
                    var ids=dhxDGrid.getSelectedRowId().split(",");
                    dhxDGrid.setUserData(ids[0],"!nativeeditor_status","update_link");
                    dhxDGrid.setUserData(ids[0],"links", ids);
                    dhxDGrid.setUserData(ids[0],"variable", "password");
                    dhxDGrid.setUserData(ids[0],"value", pass);
                    dhxDataProcessor.sendData(ids[0]);
                }
                hidePasswordWindow();
            }
        });
    }
}

function hidePasswordWindow() {
    hideWindow(dhxpassWin.window("w1"));
}

function loadPreferences() {
    var loader = dhtmlxAjax.getSync("_include/handleDB.php?mode=load&type=preferences");
    var dm = new Object();
    if(loader.xmlDoc.responseXML!=null) {
        var params = loader.doXPath("//preferences");
        for(var i=0;i<params.length;i++) {
            var data = params[i].childNodes;
            for(var j=1;j<data.length;j+=2)
                dm[data[j].nodeName] = data[j].firstChild.nodeValue;
        }
        return dm;
    }
}

function setPreferences(input) {
    dhxprefGenForm.setItemValue('download_location', input.downloaddir);
    dhxprefGenForm.setItemValue('utils_location', input.utildir);
    if (eval(input.autoupdate))
        dhxprefGenForm.checkItem("autoupdate");
    else
        dhxprefGenForm.uncheckItem("autoupdate");
    dhxprefGenForm.setItemValue("overwrite_mode", input.overwrite_mode);
    dhxprefGenForm.setItemValue("default_lang", input.default_lang);
    dhxprefGenForm.setItemValue("timezone_offset", input.timezone_offset);

    if (eval(input.autostart))
        dhxprefDowForm.checkItem("autostart");
    else
        dhxprefDowForm.uncheckItem("autostart");

    if (eval(input.autoclean))
        dhxprefDowForm.checkItem("autoclean");
    else
        dhxprefDowForm.uncheckItem("autoclean");

    if (eval(input.autoshutdown))
        dhxprefDowForm.checkItem("autoshutdown");
    else
        dhxprefDowForm.uncheckItem("autoshutdown");

    if (eval(input.fileallocation))
        dhxprefDowForm.checkItem("fileallocation");
    else
        dhxprefDowForm.uncheckItem("fileallocation");

    if (eval(input.extractcompleted))
        dhxprefDowForm.checkItem("extractcompleted");
    else
        dhxprefDowForm.uncheckItem("extractcompleted");

    if (eval(input.deepextraction))
        dhxprefDowForm.checkItem("deepextraction");
    else
        dhxprefDowForm.uncheckItem("deepextraction");

    if (eval(input.deletearchive))
        dhxprefDowForm.checkItem("deletearchive");
    else
        dhxprefDowForm.uncheckItem("deletearchive");

    if (eval(input.keepbroken))
        dhxprefDowForm.checkItem("keepbroken");
    else
        dhxprefDowForm.uncheckItem("keepbroken");

    if (eval(input.timestamp))
        dhxprefDowForm.checkItem("timestamp");
    else
        dhxprefDowForm.uncheckItem("timestamp");
    dhxprefDowForm.setItemValue("archivedir", input.archivedir);

    dhxprefLimForm.setItemValue("maxjobs", input.max_jobs);
    dhxprefLimForm.setItemValue("noretries", input.no_retries);
    dhxprefLimForm.setItemValue("speedlimit", input.speed_limit);
    dhxprefLimForm.setItemValue("noconn", input.no_of_threads);
    if (input.no_retries == 0){
        dhxprefLimForm.checkItem("always_retry");
        dhxprefLimForm.disableItem("noretries");
    }
    else{
        dhxprefLimForm.uncheckItem("always_retry");
        dhxprefLimForm.enableItem("noretries");
    }
    if (input.speed_limit == 0){
        dhxprefLimForm.checkItem("no_speed_limit");
        dhxprefLimForm.disableItem("speedlimit");
    }
    else{
        dhxprefLimForm.uncheckItem("no_speed_limit");
        dhxprefLimForm.enableItem("speedlimit");
    }

    dhxprefRouForm.setItemValue("routeruser", input.routeruser);
    dhxprefRouForm.setItemValue("routerpass", input.routerpass);
    dhxprefRouForm.setItemValue("routerip", input.routerip);
    if (eval(input.rebootrouter))
        dhxprefRouForm.checkItem("rebootrouter");
    else
        dhxprefRouForm.uncheckItem("rebootrouter");

    if (input.routertype == 1){
        dhxprefRouForm.checkItem("routertype", "1");
        dhxprefRouForm._enableItem("rebootrouter");
    }
    else {
        dhxprefRouForm.checkItem("routertype", "0");
        dhxprefRouForm._disableItem("rebootrouter");
    }

    if (eval(input.autocaptcha))
        dhxprefRouForm.checkItem("autocaptcha");
    else
        dhxprefRouForm.uncheckItem("autocaptcha");
    if (eval(input.autorecaptcha))
        dhxprefRouForm.checkItem("autorecaptcha");
    else
        dhxprefRouForm.uncheckItem("autorecaptcha");
    dhxprefRouForm.setItemValue("captchauser", input.captchauser);
    dhxprefRouForm.setItemValue("captchapass", input.captchapass);
    dhxprefRouForm.setItemValue("api_key", input.api_key);
}

function loadDefProperties(id) {
    var loader = dhtmlxAjax.getSync("_include/handleDB.php?mode=load&type=preferences");
    var prop = new Object();
    if(loader.xmlDoc.responseXML!=null) {
        var params = loader.doXPath("//preferences");
        for(var i=0;i<params.length;i++) {
            var data = params[i].childNodes;
            for(var j=1;j<data.length;j+=2)
                prop[data[j].nodeName] = data[j].firstChild.nodeValue;
        }
        return prop;
    }
}

function setDefProperties(input) {
    dhxaddGenForm.setItemValue('tlocation1', input.downloaddir);
    dhxaddGenForm.checkItem("start_type", "1");
    dhxaddGenForm.checkItem("start_mode", "1");

    dhxaddConForm.setItemValue("speedlimit", input.speed_limit);
    dhxaddConForm.setItemValue("noconn", input.no_of_threads);
    if (input.speed_limit == 0){
        dhxaddConForm.checkItem("no_speed_limit");
        dhxaddConForm.disableItem("speedlimit");
    }
    else{
        dhxaddConForm.uncheckItem("no_speed_limit");
        dhxaddConForm.enableItem("speedlimit");
    }

    dhxaddBroForm.setItemValue("referer", "");
    dhxaddBroForm.setItemValue("cookie", "");
    dhxaddBroForm.setItemValue("useragent", "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042523 Ubuntu/9.04 (jaunty) Firefox/3.0.10");
    dhxaddBroForm.setItemValue("extraheaders", "");
}

function loadProperties(id) {
    var id = dhxDGrid.getSelectedId();
    var loader = dhtmlxAjax.getSync("_include/handleDB.php?mode=load&type=properties&link="+id);
    var prop = new Object();
    if(loader.xmlDoc.responseXML!=null) {
        var params = loader.doXPath("//properties");
        for(var i=0;i<params.length;i++) {
            var data = params[i].childNodes;
            for(var j=1;j<data.length;j+=2)
                prop[data[j].nodeName] = data[j].firstChild.nodeValue;
        }
        return prop;
    }
}

function setProperties(input) {
    dhxpropUrlForm.setItemValue('editlink', input.link);
    dhxpropGenForm.setItemValue('tlocation', input.location);

    dhxpropConForm.setItemValue("speedlimit", input.speed_limit);
    dhxpropConForm.setItemValue("noconn", input.sections);
    if (input.speed_limit == 0){
        dhxpropConForm.checkItem("no_speed_limit");
        dhxpropConForm.disableItem("speedlimit");
    }
    else{
        dhxpropConForm.uncheckItem("no_speed_limit");
        dhxpropConForm.enableItem("speedlimit");
    }

    dhxpropBroForm.setItemValue("referer", input.referer);
    dhxpropBroForm.setItemValue("cookie", input.cookie);
    dhxpropBroForm.setItemValue("useragent", input.useragent);
    dhxpropBroForm.setItemValue("extraheaders", input.extraheaders);
}

function showPreferencesWindow() {
    if (!dhxprefWin) dhxprefWin = new dhtmlXWindows();
    if (dhxprefWin.isWindow("w1")){
        dhxprefWin.window("w1").show();
        dhxprefWin.window("w1").setModal(true);
        dm_array = loadPreferences();
        setPreferences(dm_array);
    }
    else {
        dhxprefWin.setImagePath("_js/dhtmlx/imgs/");
        dhxprefWin.setSkin(defaultSkin);
        prefWin = dhxprefWin.createWindow("w1", 10, 10, 750, 460);
        prefWin.setText("<?php echo $desc['options_t'] ?>");
        prefWin.center();
        prefWin.denyResize();
        prefWin.denyPark();
        prefWin.keepInViewport(true);
        prefWin.button("park").hide();
        prefWin.button("minmax1").hide();
        prefWin.button("close").hide();
        prefWin.setModal(true);
        dhxprefLayout = prefWin.attachLayout("2E");
        dhxprefLayout.setSkin(defaultSkin);
        dhxprefLayout.cells("a").hideHeader();
        dhxprefLayout.cells("b").hideHeader();
        dhxprefLayout.cells("b").setHeight(45);
        dhxprefLayout.cells("b").fixSize(true, true);
        dhxprefTab = dhxprefLayout.cells("a").attachTabbar();
        dhxprefTab.setImagePath('_js/dhtmlx/imgs/');
        dhxprefTab.setSkin(defaultSkin);
        dhxprefTab.addTab('a0', '<?php echo $desc['genloc'];?>','140px');
        dhxprefTab.addTab('a1', '<?php echo $desc['downloads'];?>','120px');
        dhxprefTab.addTab('a2', '<?php echo $desc['conlimits'];?>','120px');
        dhxprefTab.addTab('a3', '<?php echo $desc['sitemanager'];?>','120px');
        dhxprefTab.addTab('a4', '<?php echo $desc['router'];?>','120px');
        dm_array = loadPreferences();

        dhxprefButForm = dhxprefLayout.cells("b").attachForm();
        dhxprefButForm.loadStruct("_include/getXML.php?xml=prefform6&e="+new Date().getTime());

        dhxprefButForm.attachEvent("onXLE", function() {
            dhxprefButForm.disableItem("apply");
        });

        dhxprefButForm.attachEvent("onButtonClick", function(name, command){
            if(name=="cancel")
                hidePreferencesWindow();
            else if(name=="apply")
                applyPreferences();
            else if(name=="ok")
                okPreferences();
            else if(name=="reset")
                setPreferences(dm_array);
        });

        dhxprefTab.setTabActive("a0");
        dhxprefGenForm = dhxprefTab.cells("a0").attachForm();

        dhxprefGenForm.loadStruct("_include/getXML.php?xml=prefform1&e="+new Date().getTime(), function(){
            var opts1 = dhxprefGenForm.getOptions("default_lang");
            var opts2 = dhxprefGenForm.getOptions("timezone_offset");
<?php
    $langfile=scan_dir($homedir.'_lang');
    foreach($langfile as $lang) {
        if ($lang == "." || $lang == "..")
            continue;
        $lang=explode(".",$lang);
        echo "            opts1.add(new Option('".ucfirst($lang[0])."', '".$lang[0]."'));\n";
    }

    $tzs = array("GMT-12:00","GMT-11:00","GMT-10:00","GMT-09:00","GMT-08:00","GMT-07:00","GMT-06:00","GMT-05:00",
                   "GMT-04:30","GMT-04:00","GMT-03:30","GMT-03:00","GMT-02:00","GMT-01:00","GMT+01:00","GMT+02:00",
                   "GMT+03:00","GMT+03:30","GMT+04:00","GMT+04:30","GMT+05:00","GMT+05:30","GMT+05:45","GMT+06:00",
                   "GMT+06:30","GMT+07:00","GMT+08:00","GMT+09:00","GMT+09:30","GMT+10:00","GMT+11:00","GMT+12:00","GMT+13:00");
    foreach ($tzs as $tz) {
        $tzz=str_replace("GMT","",$tz);
        $hr_sec=explode(":",$tzz);
        $symbol=substr($hr_sec[0],0,1);
        $hr=substr($hr_sec[0],1);
        $sec=$hr_sec[1];
        if ($symbol == "-")
            $ms=$symbol.($hr*60*60+$sec*60);
        else
            $ms=($hr*60*60+$sec*60);
        echo "            opts2.add(new Option('".$tz."', '".$ms."'));\n";
    }

?>
            setPreferences(dm_array);
        });

        dhxprefGenForm.attachEvent("onButtonClick", function(name, command){
            if(name=="download_browse")
                browseDir(document.getElementsByName('download_location')[0]);
            else if(name=="utils_browse")
                browseDir(document.getElementsByName('utils_location')[0]);
        });

        dhxprefGenForm.attachEvent("onChange", function(name, value){
            dhxprefButForm.enableItem("apply");
        });

        dhxprefTab.setTabActive("a1");
        dhxprefDowForm = dhxprefTab.cells("a1").attachForm();
        dhxprefDowForm.loadStruct("_include/getXML.php?xml=prefform2&e="+new Date().getTime(), function(){
            setPreferences(dm_array);
        });
        dhxprefDowForm.attachEvent("onButtonClick", function(name, command){
            if(name=="extract_browse")
                browseDir(document.getElementsByName('archivedir')[0]);
        });

        dhxprefDowForm.attachEvent("onChange", function(name, value){
            dhxprefButForm.enableItem("apply");
        });

        dhxprefLimForm = dhxprefTab.cells("a2").attachForm();
        dhxprefLimForm.loadStruct("_include/getXML.php?xml=prefform3&e="+new Date().getTime(), function(){
            setPreferences(dm_array);
        });
        dhxprefLimForm.attachEvent("onChange", function (id, value){
            if (id == "no_speed_limit") {
                if (dhxprefLimForm.isItemChecked(id))
                    dhxprefLimForm.disableItem("speedlimit");
                else
                    dhxprefLimForm.enableItem("speedlimit");
            }
            if (id == "always_retry") {
                if (dhxprefLimForm.isItemChecked(id))
                    dhxprefLimForm.disableItem("noretries");
                else
                    dhxprefLimForm.enableItem("noretries");
            }
            dhxprefButForm.enableItem("apply");
        });

        dhxprefTab.setTabActive("a3");
        loadSiteGrid(dhxprefTab.cells("a3"));
        dhxprefRouForm = dhxprefTab.cells("a4").attachForm();
        dhxprefRouForm.loadStruct("_include/getXML.php?xml=prefform4&e="+new Date().getTime(), function(){
            setPreferences(dm_array);
        });
        dhxprefRouForm.attachEvent("onChange", function(name, value){
            if (name == "routertype") {
                if (dhxprefRouForm.isItemChecked(name, "0"))
                    dhxprefRouForm._disableItem("rebootrouter");
                else
                    dhxprefRouForm._enableItem("rebootrouter");
            }
            dhxprefButForm.enableItem("apply");
        });
        dhxprefTab.setTabActive("a0");
    }
}

function hidePreferencesWindow(){
    dhxprefButForm.disableItem("apply");
    hideWindow(dhxprefWin.window("w1"));
}

function hidePropertiesWindow(){
    dhxpropButForm.disableItem("apply");
    hideWindow(dhxpropWin.window("w1"));
}
</SCRIPT>
