<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/functions.php"))
    include "_include/functions.php";
else
    include "functions.php";

global $tmpdir,$homedir, $download_db;
ini_set("session.save_path", $tmpdir);
session_start();

if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") ) {
    header("Content-type: application/xhtml+xml"); } else {
    header("Content-type: text/xml");
}
print("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
print("<scopes>\n");
print("<GET>\n");
$mode = $_GET["mode"];
$type = $_GET["type"];

switch ($type){
    case "password":
        switch ($mode){
        case "load":
            $links = explode(",",rawurldecode($_GET["links"]));
            $dbh = new PDO('sqlite:'.$download_db);
            $passarray=array();
            foreach ($links as $link) {
                $sql = 'SELECT password from links where ';
                $sql .= 'link="'.$link.'"';
                $result = $dbh->query($sql);
                $row = $result->fetch(PDO::FETCH_ASSOC);
                array_push($passarray,$row['password']);
            }
            $resarray=array_unique($passarray);
            if (sizeof($resarray) > 1)
                $result="Multiple values exist";
            else
                $result=$passarray[0];
            print("<password><![CDATA[".$result."]]></password>\n");
            $dbh = NULL;
        break;
        }
    break;
    case "properties":
        switch ($mode){
        case "load":
            $dbh = new PDO('sqlite:'.$download_db);
            $sql = 'SELECT * FROM links WHERE link="'.$_GET['link'].'"';
            $result=$dbh->query($sql);
            $row = $result->fetchAll(PDO::FETCH_ASSOC);
            print("<properties>\n");
            foreach ($row[0] as $key=>$value) {
                print("<".$key."><![CDATA[".$value."]]></".$key.">\n");
            }
            print("</properties>\n");
        break;
        case "save":
            foreach($_GET as $key=>$val){
                $dbh = new PDO('sqlite:'.$download_db);
        
                $variable=$key;
                $value=$val;
        
                $sql = 'UPDATE links SET '.$variable.'="'.$value.'"';
                $sql .= ' WHERE link="'.$_GET['orig_link'].'"';
                $result=$dbh->query($sql);
                if ($variable == "speed_limit") {
                    $sql = 'SELECT gid,status from links';
                    $sql .= ' WHERE link="'.$_GET['orig_link'].'"';
                    $result=$dbh->query($sql);
                    $row = $result->fetch(PDO::FETCH_ASSOC);
                    if ($row['status'] == 'Downloading') {
                        // Set the dynamic preferences of aria2c
                        setXMLRPCdata('aria2.changeOption', $row['gid'], 'max-download-limit', $value.'K');
                    }
                }
                print("<param name='$variable'>$value</param>\n");
                $dbh = NULL;
            }
        break;
        }
    break;
    case "preferences":
        switch ($mode){
        case "load":
            $dbh = new PDO('sqlite:'.$download_db);
            $sql = 'SELECT * from preferences';
            $result = $dbh->query($sql);
            $row = $result->fetchAll(PDO::FETCH_ASSOC);
            print("<preferences>\n");
            foreach ($row as $value) {
                print("<".$value['variable']."><![CDATA[".$value['value']."]]></".$value['variable'].">\n");
            }
            print("</preferences>\n");
            $dbh = NULL;
        break;
        case "save":
            foreach($_GET as $key=>$val){
                $dbh = new PDO('sqlite:'.$download_db);
        
                $variable=$key;
                $value=$val;
                if ($variable == "start_date")
                    $value=strtotime($value); 
        
                $sql = "UPDATE preferences SET value='".$value."' ";
                $sql .= "WHERE variable='".$variable."'";
                $result=$dbh->query($sql);
            
                // Set the dynamic preferences of aria2c
                if ($variable == "max_jobs")
                    setXMLRPCdata('aria2.changeGlobalOption', 0, 'max-concurrent-downloads', $value);
                else if ($variable == "speed_limit")
                    setXMLRPCdata('aria2.changeGlobalOption', 0, 'max-overall-download-limit', ($value*1024));
                print("<param name='$variable'>$value</param>\n");
                $dbh = NULL;
            }
        break;
        }
    break;
}
print("</GET>\n");
print("</scopes>\n");
?>
