<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/functions.php"))
    include "_include/functions.php";
else
    include "functions.php";

global $tmpdir,$homedir;
ini_set("session.save_path", $tmpdir);
session_start();
LoadLang();

if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") ) {
    header("Content-type: application/xhtml+xml"); } else {
    header("Content-type: text/xml");
}
print("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
print("<scopes>");
print("<GET>");

if(isset($_GET["option"]) && $_GET["option"] == "status") {
    if (file_exists($tmpdir.'/.pid')) {
        $pidfile = str_replace("\n","",file_get_contents($tmpdir.'/.pid'));
        if (file_exists("/proc/".$pidfile))
            print("<param name='error'>running</param>");
        else
            print("<param name='error'>not_running</param>");
    }
    else
        print("<param name='error'>not_running</param>");
}
else if(isset($_GET["option"]) && $_GET["option"] == "start") {
    if (file_exists($tmpdir.'/.pid')) {
        $pidfile = str_replace("\n","",file_get_contents($tmpdir.'/.pid'));
        if (file_exists("/proc/".$pidfile))
            shell_exec("kill -9 ".$pidfile);
        unlink($tmpdir.'/.pid');
    }
    shell_exec('cd '.$homedir.';_scripts/auto_start.sh 1>'.$tmpdir.'/output_as.log 2>'.$tmpdir.'/error_as.log & echo $! >'.$tmpdir.'/.pid');
}
else if(isset($_GET["option"]) && $_GET["option"] == "stop") {
    if (file_exists($tmpdir.'/.pid')) {
        $pidfile = str_replace("\n","",file_get_contents($tmpdir.'/.pid'));
        unlink($tmpdir.'/.pid');
    }
    shell_exec("kill -9 ".$pidfile);
}
print("</GET>");
print("</scopes>");
?>
