#!/bin/sh
# Uncomment Following line to debug the script
# set -x
# +-----------------------------------------------------------------------+
# |                                                                       |
# | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
# | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
# | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
# | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
# | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
# | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
# | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
# | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
# | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
# | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
# | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
# |                                                                       |
# +-----------------------------------------------------------------------+

URL=$1
MODE=$2
TYPE=$3
USER=$4
PASS=$5

# Load the common functions
. _scripts/lib.sh

if [ "$MODE" = "download" ];then
    #
    # Download Mode
    #
    # Check the URL for existence
    ERRORURL="http://www.megaupload.com/?c=msg"
    URL=$(echo "$URL" | replace 'rotic.com/' 'porn.com/' | \
                      replace 'video.com/' 'upload.com/')

    BASEURL=$(basename_url "$URL")

    if [ "$Output" = "" ];then
        #
        # Free/Anonymous Account
        #
        if [ $TYPE -eq 0 -o $TYPE -eq 1 ];then
            CAPTCHA_URL=`echo "$html_data"|grep 'img src'|grep gencap|cut -d'"' -f8` 
            if [ "$CAPTCHA_URL" != "" ];then
                CAP_LEN=0
                while [ $CAP_LEN -ne 5 ]
                do
                    html_data=`${CURL} -s "$URL"`
                    CAPTCHA_URL=`echo "$html_data"|grep 'img src'|grep gencap|cut -d'"' -f8` 
                    ${CURL} -s "$CAPTCHA_URL" -o $TMP2
                    CAPTCHA=`cat $TMP2|$CONVERT - +matte gif:- |ocr| sed "s/[^a-zA-Z0-9]//g"`
                    rm -f $TMP2
                    CAP_LEN=`echo "$CAPTCHA"|wc -c`
                done
                IMAGECODE=`echo "$html_data"|grep captchacode|cut -d'"' -f6`
                MEGAVAR=`echo "$html_data"|grep megavar|cut -d'"' -f6`
                post_data="captchacode=${IMAGECODE}&captcha=${CAPTCHA}&megavar=${MEGAVAR}"
                html_data=`${CURL} -s "$URL" --data "${post_data}"`
            fi
            URL2=`echo "$html_data"|grep 'id="downloadlink'|cut -d'"' -f8`
            WAIT=`echo "$html_data"|grep 'count='|cut -d'=' -f2|cut -d';' -f1`
            if [ "$WAIT" != "" ];then
                updateDBValue link "${URL}" status "Loading"
                updateDBValue link "${URL}" file_exists "Loading download in $WAIT seconds..."
                sleep ${WAIT}
            fi
            echo "${URL2}|"
            exit 1
        else
            #
            # Premium Account
            #
            if [ -f "${tmpdir}/.mu_cookie_user_value" ];then
                mu_cookie_user_value=`cat "${tmpdir}/.mu_cookie_user_value"`
            else
                post_data="login=1&username=${USER}&password=${PASS}"
                html_data=`wget http://www.megaupload.com --no-check-certificate --save-headers --post-data=${post_data} -qO-`
                mu_cookie=`echo "$html_data"|grep -i 'Set-Cookie:'|cut -d';' -f1|cut -d' ' -f2|cut -d'=' -f2`

                if [ "$mu_cookie" != "" ];then
                    echo "$mu_cookie" > "${tmpdir}/.mu_cookie_user_value"
                    mu_cookie_user_value=`cat "${tmpdir}/.mu_cookie_user_value"`
                else
                    echo "Error: Megaupload cookie not set. Check Login & Password."
                    exit 1
                fi
            fi

            if [ x"$mu_cookie_user_value" != x ];then
                header="user=${mu_cookie_user_value}"
                option="Cookie: $header"
                echo "${URL}|${option}"
            fi
        fi
    else
        echo $Output
        exit 1
    fi
elif [ "$MODE" = "verify" ];then
    echo "Error: Not yet Implemented. Please PM your credentials to the author to write the premium plugin."
    exit 1
fi
